cmake_minimum_required(VERSION 3.16)

project(LOTO)

set(CMAKE_AUTOUIC ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

set(QT_SILENCE_MISSING_DEPENDENCY_TARGET_WARNING ON)
set(QT_NO_PRIVATE_MODULE_WARNING ON)

# 查找依赖
find_package(Qt6 REQUIRED COMPONENTS Quick Core Qml QuickControls2)

add_subdirectory(src)
